<?php

/**
 * Contao Open Source CMS
 *
 * Copyright (c) 2005-2016 Leo Feyer
 *
 * @package   simple_products_extended
 * @author    Fast & Media | Christian Schmidt <info@fast-end-media.de>
 * @license   Commercial
 * @copyright Fast & Media 2013-2016 <http://www.fast-end-media.de>
 */


class LocationsRunonceJob extends Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->import('Database');
	}

	public function run()
	{
		// nur ab Contao 2.9
		if (version_compare(VERSION, '2.8', '>'))
		{

			// Search for locations
			if($this->Database->tableExists('tl_calendar_events') && !$this->Database->tableExists('tl_location_archive')) {
        $objEvents = $this->Database->execute("SELECT id, location FROM tl_calendar_events WHERE location != '' AND location != '0'");

				if($objEvents->numRows > 0) {

					// Create location arcnive table
					$this->Database->execute("CREATE TABLE `tl_location_archive` (
					  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
					  `tstamp` int(10) unsigned NOT NULL DEFAULT '0',
					  `title` varchar(255) NOT NULL DEFAULT '',
					  PRIMARY KEY (`id`)
					)");

					// Insert first archive
					$arrSet = array
					(
	          'tstamp' => time(),
						'title' => 'Veranstaltungsorte'
					);

		      $pid = $this->Database->prepare("INSERT INTO tl_location_archive %s")->set($arrSet)->execute()->insertId;

					// Create location table
					$this->Database->execute("CREATE TABLE `tl_location` (
					  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
					  `pid` int(10) unsigned NOT NULL DEFAULT '0',
					  `tstamp` int(10) unsigned NOT NULL DEFAULT '0',
					  `title` varchar(255) NOT NULL DEFAULT '',
					  PRIMARY KEY (`id`)
					)");

					while($objEvents->next()) {
						// Search for same location
            $intLocationId = $this->Database->execute("SELECT id FROM tl_location WHERE title = '$objEvents->location'")->id;

						if(!$intLocationId) {
							// Insert new location
							$arrSet = array
							(
								'pid' => $pid,
	              'tstamp' => time(),
								'title' => $objEvents->location,
								'published' => 1
							);

				      $intLocationId = $this->Database->prepare("INSERT INTO tl_location %s")->set($arrSet)->execute()->insertId;
						}

						// Update Event
						$arrSet = array
						(
							'location' => $intLocationId,
						);

            $this->Database->prepare("UPDATE tl_calendar_events %s WHERE id = ?")->set($arrSet)->execute($objEvents->id);
					}
				}
			}

		}
	}
}

$objRunonceJob = new LocationsRunonceJob();
$objRunonceJob->run();
